<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_347a430" . "4a606a9c" . "406a8fbc" . "8f72530a" . "1" => base64_decode("TWV0aG9k" . "IA=="), "_96be32a6f44bf5" . "4e635e1736acf7a" . "96c" => base64_decode("c2Vy" . "aWFs" . "aXpl"), "_c244a470df52d1" . "d5a7085138ec94e" . "393" => base64_decode("dW5zZ" . "XJpYW" . "xpemU" . "="), "_00228d8faefcea40b88e38b6f0e" . "f8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29udHJ" . "vbA=="), "_5e9a99dc0dd49b907abf1b35e" . "96965f8" => base64_decode("dHJ" . "pbQ" . "=="), "_4d707fab93bebb00bbe69e815969" . "7c90" => base64_decode(""), "_fc9d7314a9d9958d8fa0a403ba8f" . "f197" => base64_decode("Z2V0X2NsY" . "XNz"), "_c9ae15d69685" . "c02eeabd974f8" . "6df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRlZmluZW" . "Q="), "_ecfcdf011" . "b493a3e718" . "c1fe7034e0" . "dcd" => base64_decode("OjpMb2FkRnJvb" . "UZvcm0oKSBtdX" . "N0IGJlIHJlZGV" . "maW5lZA=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_96be32a6f44bf54e635e17" . "36acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5e9a99dc0dd49b907ab" . "f1b35e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4d707fab93bebb00bbe69e8159" . "697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_00228d8faef" . "cea40b88e38b" . "6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c244a470df52d1d5a7085138ec" . "94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_347a4304a606a9c406a8fbc8f72" . "530a1"] . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fc9d7314a9d" . "9958d8fa0a40" . "3ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ecfcdf011" . "b493a3e718" . "c1fe7034e0" . "dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_347a4304a606a9c" . "406a8fbc8f72530a" . "1"] . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_fc9d731" . "4a9d9958" . "d8fa0a40" . "3ba8ff19" . "7"]($this) . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c9ae15d69685c0" . "2eeabd974f86df5" . "1ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}